#!/usr/bin/env python
# -*- coding: UTF-8 -*-
  
from distutils.core import setup
import os, glob

BASE_DIR = 'share/'
EOLE_DIR =  os.path.join(BASE_DIR, 'eole')
DATA_DIR =  os.path.join(BASE_DIR, 'creole')
DOC_DIR =  os.path.join(BASE_DIR, 'doc/creole')
BIN_DIR = 'bin'

# préparation des fichiers de données
data = [(DATA_DIR, glob.glob('data/*.*')),
        (DATA_DIR, ['data/iftab2udev']),
        (os.path.join(DATA_DIR,'convert'), glob.glob('data/convert/*.csv')),
        (DOC_DIR, glob.glob('doc/*.html') + glob.glob('doc/*.txt')),
        (os.path.join(DOC_DIR, 'api'), glob.glob('doc/api/*.html') + glob.glob('doc/api/*.css')),
        (EOLE_DIR, ['eole/FonctionsEole', 'eole/FonctionsEoleNg']),
        (os.path.join(EOLE_DIR, 'diagnose', 'eole'), 
         ['eole/05-Machine', 'eole/07-Distrib',  'eole/10-Reseau' ])
       ]

# listing récursif automatique 
# et mise en forme du répertoire i18n
i18n = os.walk('i18n')
for localdir, rep, files in i18n:
    if files != []:
        localfiles = []
        for file in files :
            localfiles.append(os.path.join(localdir, file))
        data.append((os.path.join(DATA_DIR, localdir), localfiles))

setup(
    author='eole',
    author_email='eole@ac-dijon.fr',
    name='creole',
    version='2.0',
    description='Eole configuration tools',
    url='http://www.eole.orion.education.fr',
    packages=['creole'],
    scripts=glob.glob('bin/*'),
    data_files = data
)
